<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
    <AssemblyVersion>1.10.21.36</AssemblyVersion>
    <FileVersion>1.10.21.36</FileVersion>
    <AssemblyName>$(MSBuildProjectName)</AssemblyName>
  </PropertyGroup>

	<Target Name="PostBuild" AfterTargets="PostBuildEvent">
		<Exec Command="npm run buildcss" />
	</Target>

	<ItemGroup>
	  <Content Remove="wwwroot\assets\fonts\Shabnam-Bold.ttf" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="tailwind.config.js" />
	</ItemGroup>

	<ItemGroup>
	  <Content Include="tailwind.config.js">
	    <CopyToOutputDirectory>Never</CopyToOutputDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
	  <EmbeddedResource Include="wwwroot\assets\fonts\Shabnam-Bold.ttf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </EmbeddedResource>
	</ItemGroup>

	<ItemGroup>
	  <None Include="wwwroot\assets\vendor\ckeditor5.css.map" />
	  <None Include="wwwroot\assets\vendor\ckeditor5.js" />
	  <None Include="wwwroot\assets\vendor\ckeditor5.js.map" />
	</ItemGroup>

  <ItemGroup>
    <PackageReference Include="Append.Blazor.Printing" Version="6.3.0" />
    <PackageReference Include="Blazored.LocalStorage" Version="4.4.0" />
    <PackageReference Include="Blazorise.LottieAnimation" Version="1.4.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Authentication" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.1" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Abstractions" Version="2.2.0" />
    <PackageReference Include="Microsoft.JSInterop.WebAssembly" Version="8.0.1" />
    <PackageReference Include="MudBlazor" Version="6.13.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Radzen.Blazor" Version="4.24.2" />
    <PackageReference Include="Refit" Version="7.0.0" />
    <PackageReference Include="Refit.HttpClientFactory" Version="7.0.0" />
    <PackageReference Include="Refit.Newtonsoft.Json" Version="7.0.0" />
    <PackageReference Include="Syncfusion.Pdf.Net.Core" Version="24.2.8" />
    <PackageReference Include="Toolbelt.Blazor.PWA.Updater" Version="2.1.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Api\Netina.Domain\Netina.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Blazored.LocalStorage" />
    <Using Include="Mapster" />
    <Using Include="Microsoft.AspNetCore.Components" />
    <Using Include="Microsoft.IdentityModel.Tokens" />
    <Using Include="Microsoft.JSInterop" />
    <Using Include="MudBlazor" />
    <Using Include="Netina.AdminPanel.PWA.Dialogs" />
    <Using Include="Netina.AdminPanel.PWA.Dialogs.Originals" />
    <Using Include="Netina.AdminPanel.PWA.Extensions" />
    <Using Include="Netina.AdminPanel.PWA.Models" />
    <Using Include="Netina.AdminPanel.PWA.Models.Api" />
    <Using Include="Netina.AdminPanel.PWA.Services.RestServices" />
    <Using Include="Netina.AdminPanel.PWA.Utilities" />
    <Using Include="Netina.AdminPanel.PWA.Utilities.Models" />
    <Using Include="Netina.Common.Extensions" />
    <Using Include="Netina.Common.Models.Api" />
    <Using Include="Netina.Common.Models.Exception" />
    <Using Include="Netina.Domain.CommandQueries.Commands" />
    <Using Include="Netina.Domain.Dtos.DashboardDtos" />
    <Using Include="Netina.Domain.Dtos.FilterDtos" />
    <Using Include="Netina.Domain.Dtos.LargDtos" />
    <Using Include="Netina.Domain.Dtos.RequestDtos" />
    <Using Include="Netina.Domain.Dtos.ResponseDtos" />
    <Using Include="Netina.Domain.Dtos.SmallDtos" />
    <Using Include="Netina.Domain.Entities.ProductCategories" />
    <Using Include="Netina.Domain.Entities.Products" />
    <Using Include="Netina.Domain.Enums" />
    <Using Include="Netina.Domain.Extensions" />
    <Using Include="Netina.Domain.MartenEntities.Pages" />
    <Using Include="Netina.Domain.MartenEntities.Settings" />
    <Using Include="Netina.Domain.Models.Districts" />
    <Using Include="Newtonsoft.Json" />
    <Using Include="Refit" />
    <Using Include="System.Collections.ObjectModel" />
    <Using Include="System.Net" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="version.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\appsettings.Development.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\appsettings.Production.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
